#!/bin/bash


# define vitis_ai_2_0 foledr
VITIS_AI_DIR=~/vitis_ai_2_0/


# define your custom platform SYSROOT foledr
PLATFORM_SYSROOTS_DIR=/mnt/sdb1/te0808_tebf0808/StarterKit3/misc/StarterKit3_pfm/


# vitis_ai_2_0 example folders
# in case you do not want to build all of the examples remove the corresponding lines from the list
# commneting them out is not sufficient
SAMPLES_DIR=( \
  3Dsegmentation                                      \
  bcc                                                 \
  c2d2_lite                                           \
  centerpoint                                         \
  classification                                      \
  clocs                                               \
  covid19segmentation                                 \
  dpu_task/fadnet                                     \
  dpu_task/psmnet                                     \
  dpu_task/ssr                                        \
  dpu_task/yolov3                                     \
  facedetect                                          \
  facefeature                                         \
  facelandmark                                        \
  facequality5pt                                      \
  fairmot                                             \
  graph_runner/platenum_graph_runner                  \
  graph_runner/resnet50_graph_runner                  \
  graph_runner/tfssd_gridanchor_nms_op_graph_runner   \
  hourglass                                           \
  lanedetect                                          \
  medicaldetection                                    \
  medicalsegcell                                      \
  medicalsegmentation                                 \
  multitask                                           \
  multitaskv3                                         \
  openpose                                            \
  platedetect                                         \
  platenum                                            \
  pmg                                                 \
  pointpainting                                       \
  pointpillars                                        \
  pointpillars_nuscenes                               \
  polypsegmentation                                   \
  posedetect                                          \
  rcan                                                \
  refinedet                                           \
  reid                                                \
  retinaface                                          \
  RGBDsegmentation                                    \
  segmentation                                        \
  solo                                                \
  ssd                                                 \
  tfssd                                               \
  ultrafast                                           \
  yolov2                                              \
  yolov3                                              \
  yolov4                                              \
  yolovx                                              \
)


#define images and videos internet location
IMAGES_VIDEOS_SRC=https://www.xilinx.com/bin/public/openDownload?filename=

IMAGES_VIDEOS=( \
  vitis_ai_library_r2.0.0_images.tar.gz \
  vitis_ai_library_r2.0.0_video.tar.gz  \
)


THIS_DIR=`pwd`

